%define api	1
%define major	1
%define libname	%mklibname panel %{api} %{major}
%define girname	%mklibname panel-gir %{api}
%define devname	%mklibname panel %{api} -d

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then ver = string.gsub(ver, "~.*", "");print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           libpanel
# According to upstream:
# 1.1.0 is the first alpha release for GNOME 44 support.
# So check twice before updating
Version:        1.2.0
Release:        %mkrel 1
Summary:        IDE paneling library for GTK
Group:		System/Libraries
License:        LGPLv3+
URL:            https://gitlab.gnome.org/GNOME/libpanel
Source0:        https://download.gnome.org/sources/libpanel/%{url_ver}/libpanel-%{tarball_version}.tar.xz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(gi-docgen)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
# Examples
#BuildRequires:  pkgconfig(gtksourceview-5)

Requires:       hicolor-icon-theme

%description
libpanel is a collection of GTK widgets for IDE-like applications targeting
GNOME using GTK and libadwaita.

%package	data
Summary:        Data files for %{name}
Group:   	System/Libraries
BuildArch:	noarch
Obsoletes:	%{name}-common < 1.0.0-2

%description data
This package contains data files, generally speaking icons and translations,
for %{name}.

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Requires:	%{name}-data >= %{version}-%{release}

%description -n %{libname}
libpanel is a collection of GTK widgets for IDE-like applications targeting
GNOME using GTK and libadwaita.

%package -n     %{girname}
Summary:        GObject Introspection interface library for Panel
Group:          System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface library for Panel.

%package -n	%{devname}
Summary:        Development files for %{name}
Group:		Development/Other
Requires:       %{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{_lib}panel-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{name}.

%prep
%autosetup -p1 -n libpanel-%{tarball_version}

%build
%meson -Ddocs=enabled
%meson_build

%install
%meson_install

%find_lang %{name}

%files data -f %{name}.lang
%{_datadir}/icons/hicolor/scalable/actions/panel-*-symbolic.svg

%files -n %{libname}
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/libpanel-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Panel-%{api}.typelib

%files -n %{devname}
%doc %{_docdir}/panel-1.0/
%{_includedir}/libpanel-%{api}/
%{_libdir}/libpanel-%{api}.so
%{_libdir}/pkgconfig/libpanel-%{api}.pc
%{_datadir}/gir-1.0/Panel-%{api}.gir
%{_datadir}/vala/vapi/libpanel-%{api}.{deps,vapi}


%changelog
* Sat Apr 22 2023 tmb <tmb> 1.2.0-1.mga9
+ Revision: 1954110
- update to 1.2.0

* Wed Nov 02 2022 ovitters <ovitters> 1.0.2-1.mga9
+ Revision: 1901678
- new version 1.0.2

* Tue Sep 27 2022 ovitters <ovitters> 1.0.1-1.mga9
+ Revision: 1892637
- new version 1.0.1

* Tue Sep 20 2022 tv <tv> 1.0.0-3.mga9
+ Revision: 1890807
- Build and package docs

* Tue Sep 20 2022 wally <wally> 1.0.0-2.mga9
+ Revision: 1890787
- rename libpanel-common as libpanel-data

* Tue Sep 20 2022 wally <wally> 1.0.0-1.mga9
+ Revision: 1890733
- import libpanel loosely based on .spec from Fedora

